Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] sane: update to 1.0.32.
@ 2021-10-04 21:46 Piraty
  2021-10-04 21:58 ` [PR PATCH] [Updated] " Piraty
                   ` (2 more replies)
  0 siblings, 3 replies; 4+ messages in thread
From: Piraty @ 2021-10-04 21:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 686 bytes --]

There is a new pull request by Piraty against master on the void-packages repository

https://github.com/Piraty/void-packages sane-1.0.32
https://github.com/void-linux/void-packages/pull/33328

sane: update to 1.0.32.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

I scaned using this version of sane, and this (https://github.com/void-linux/void-packages/pull/33325) version of simple-scan

A patch file from https://github.com/void-linux/void-packages/pull/33328.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-sane-1.0.32-33328.patch --]
[-- Type: text/x-diff, Size: 2247 bytes --]

From fd03d7a40f7049f036465fdeaf2920980302da08 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Mon, 4 Oct 2021 22:46:36 +0200
Subject: [PATCH] sane: update to 1.0.32.

---
 srcpkgs/sane/template | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/sane/template b/srcpkgs/sane/template
index 35dac1cc846a..41adab873e7d 100644
--- a/srcpkgs/sane/template
+++ b/srcpkgs/sane/template
@@ -1,14 +1,14 @@
 # Template file for 'sane'
 pkgname=sane
-_gitlab_release_hash=8bf1cae2e1803aefab9e5331550e5d5d
-version=1.0.31
-revision=3
+_gitlab_release_hash=104f09c07d35519cc8e72e604f11643f
+version=1.0.32
+revision=1
 wrksrc="sane-backends-${version}"
 build_style=gnu-configure
 configure_args="--disable-locking --enable-ipv6 --enable-pthread
  --with-usb --docdir=/usr/share/doc/sane ac_cv_func_mmap_fixed_mapped=yes
  $(vopt_with snmp)"
-hostmakedepends="pkg-config"
+hostmakedepends="pkg-config python3"
 makedepends="avahi-libs-devel libjpeg-turbo-devel tiff-devel libgphoto2-devel
  v4l-utils-devel libusb-devel openssl-devel libxml2-devel
  $(vopt_if snmp net-snmp-devel)"
@@ -19,11 +19,16 @@ maintainer="Piraty <piraty1@inbox.ru>"
 license="GPL-2.0-or-later, SANE-exception"
 homepage="http://www.sane-project.org/"
 distfiles="https://gitlab.com/sane-project/backends/uploads/${_gitlab_release_hash}/sane-backends-${version}.tar.gz"
-checksum=4a3b10fcb398ed854777d979498645edfe66fcac2f2fd2b9117a79ff45e2a5aa
+checksum=3a28c237c0a72767086202379f6dc92dbb63ec08dfbab22312cba80e238bb114
 noshlibprovides="avoid false detection of device drivers"
 
 build_options="snmp"
 
+# tests broken on 32bit.  https://gitlab.com/sane-project/backends/-/issues/157
+if [ "$XBPS_TARGET_WORDSIZE" = "32" ]; then
+	make_check=no
+fi
+
 post_build() {
 	# generate udev file
 	cd tools
@@ -39,7 +44,9 @@ post_install() {
 
 	vlicense LICENSE # License clarification
 	vlicense COPYING # GPL-2.0
-	sed -n "1,43 p" "${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
+	sed -n \
+		-e "/\/* sane - Scanner Access Now Easy./,/dynamic linking to load backends on demand./p" \
+		"${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
 }
 
 libsane_package() {

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PR PATCH] [Updated] sane: update to 1.0.32.
  2021-10-04 21:46 [PR PATCH] sane: update to 1.0.32 Piraty
@ 2021-10-04 21:58 ` Piraty
  2021-10-05 19:22 ` Piraty
  2021-10-12 19:23 ` [PR PATCH] [Merged]: " ericonr
  2 siblings, 0 replies; 4+ messages in thread
From: Piraty @ 2021-10-04 21:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 691 bytes --]

There is an updated pull request by Piraty against master on the void-packages repository

https://github.com/Piraty/void-packages sane-1.0.32
https://github.com/void-linux/void-packages/pull/33328

sane: update to 1.0.32.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

I scaned using this version of sane, and this (https://github.com/void-linux/void-packages/pull/33325) version of simple-scan

A patch file from https://github.com/void-linux/void-packages/pull/33328.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-sane-1.0.32-33328.patch --]
[-- Type: text/x-diff, Size: 2411 bytes --]

From d3edd59c6e62c467b919979a5f0c6c33322ac331 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Mon, 4 Oct 2021 22:46:36 +0200
Subject: [PATCH] sane: update to 1.0.32.

---
 srcpkgs/sane/template | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/sane/template b/srcpkgs/sane/template
index 35dac1cc846a..4e8cdab17d61 100644
--- a/srcpkgs/sane/template
+++ b/srcpkgs/sane/template
@@ -1,14 +1,14 @@
 # Template file for 'sane'
 pkgname=sane
-_gitlab_release_hash=8bf1cae2e1803aefab9e5331550e5d5d
-version=1.0.31
-revision=3
+_gitlab_release_hash=104f09c07d35519cc8e72e604f11643f
+version=1.0.32
+revision=1
 wrksrc="sane-backends-${version}"
 build_style=gnu-configure
 configure_args="--disable-locking --enable-ipv6 --enable-pthread
  --with-usb --docdir=/usr/share/doc/sane ac_cv_func_mmap_fixed_mapped=yes
  $(vopt_with snmp)"
-hostmakedepends="pkg-config"
+hostmakedepends="pkg-config python3"
 makedepends="avahi-libs-devel libjpeg-turbo-devel tiff-devel libgphoto2-devel
  v4l-utils-devel libusb-devel openssl-devel libxml2-devel
  $(vopt_if snmp net-snmp-devel)"
@@ -16,14 +16,19 @@ depends="$(vopt_if snmp net-snmp)"
 conf_files="/etc/sane.d/*.conf"
 short_desc="Scanner Access Now Easy"
 maintainer="Piraty <piraty1@inbox.ru>"
-license="GPL-2.0-or-later, SANE-exception"
+license="custom:GPL-2.0-or-later-with-SANE-exception"
 homepage="http://www.sane-project.org/"
 distfiles="https://gitlab.com/sane-project/backends/uploads/${_gitlab_release_hash}/sane-backends-${version}.tar.gz"
-checksum=4a3b10fcb398ed854777d979498645edfe66fcac2f2fd2b9117a79ff45e2a5aa
+checksum=3a28c237c0a72767086202379f6dc92dbb63ec08dfbab22312cba80e238bb114
 noshlibprovides="avoid false detection of device drivers"
 
 build_options="snmp"
 
+# tests broken on 32bit.  https://gitlab.com/sane-project/backends/-/issues/157
+if [ "$XBPS_TARGET_WORDSIZE" = "32" ]; then
+	make_check=no
+fi
+
 post_build() {
 	# generate udev file
 	cd tools
@@ -39,7 +44,9 @@ post_install() {
 
 	vlicense LICENSE # License clarification
 	vlicense COPYING # GPL-2.0
-	sed -n "1,43 p" "${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
+	sed -n \
+		-e "/\/* sane - Scanner Access Now Easy./,/dynamic linking to load backends on demand./p" \
+		"${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
 }
 
 libsane_package() {

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PR PATCH] [Updated] sane: update to 1.0.32.
  2021-10-04 21:46 [PR PATCH] sane: update to 1.0.32 Piraty
  2021-10-04 21:58 ` [PR PATCH] [Updated] " Piraty
@ 2021-10-05 19:22 ` Piraty
  2021-10-12 19:23 ` [PR PATCH] [Merged]: " ericonr
  2 siblings, 0 replies; 4+ messages in thread
From: Piraty @ 2021-10-05 19:22 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 691 bytes --]

There is an updated pull request by Piraty against master on the void-packages repository

https://github.com/Piraty/void-packages sane-1.0.32
https://github.com/void-linux/void-packages/pull/33328

sane: update to 1.0.32.
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

I scaned using this version of sane, and this (https://github.com/void-linux/void-packages/pull/33325) version of simple-scan

A patch file from https://github.com/void-linux/void-packages/pull/33328.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-sane-1.0.32-33328.patch --]
[-- Type: text/x-diff, Size: 2411 bytes --]

From 8cebf2b5d4afa07c9876a674b66bbb9932b78677 Mon Sep 17 00:00:00 2001
From: Piraty <piraty1@inbox.ru>
Date: Mon, 4 Oct 2021 22:46:36 +0200
Subject: [PATCH] sane: update to 1.0.32.

---
 srcpkgs/sane/template | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/sane/template b/srcpkgs/sane/template
index 35dac1cc846a..4e8cdab17d61 100644
--- a/srcpkgs/sane/template
+++ b/srcpkgs/sane/template
@@ -1,14 +1,14 @@
 # Template file for 'sane'
 pkgname=sane
-_gitlab_release_hash=8bf1cae2e1803aefab9e5331550e5d5d
-version=1.0.31
-revision=3
+_gitlab_release_hash=104f09c07d35519cc8e72e604f11643f
+version=1.0.32
+revision=1
 wrksrc="sane-backends-${version}"
 build_style=gnu-configure
 configure_args="--disable-locking --enable-ipv6 --enable-pthread
  --with-usb --docdir=/usr/share/doc/sane ac_cv_func_mmap_fixed_mapped=yes
  $(vopt_with snmp)"
-hostmakedepends="pkg-config"
+hostmakedepends="pkg-config python3"
 makedepends="avahi-libs-devel libjpeg-turbo-devel tiff-devel libgphoto2-devel
  v4l-utils-devel libusb-devel openssl-devel libxml2-devel
  $(vopt_if snmp net-snmp-devel)"
@@ -16,14 +16,19 @@ depends="$(vopt_if snmp net-snmp)"
 conf_files="/etc/sane.d/*.conf"
 short_desc="Scanner Access Now Easy"
 maintainer="Piraty <piraty1@inbox.ru>"
-license="GPL-2.0-or-later, SANE-exception"
+license="custom:GPL-2.0-or-later-with-SANE-exception"
 homepage="http://www.sane-project.org/"
 distfiles="https://gitlab.com/sane-project/backends/uploads/${_gitlab_release_hash}/sane-backends-${version}.tar.gz"
-checksum=4a3b10fcb398ed854777d979498645edfe66fcac2f2fd2b9117a79ff45e2a5aa
+checksum=3a28c237c0a72767086202379f6dc92dbb63ec08dfbab22312cba80e238bb114
 noshlibprovides="avoid false detection of device drivers"
 
 build_options="snmp"
 
+# tests broken on 32bit.  https://gitlab.com/sane-project/backends/-/issues/157
+if [ "$XBPS_TARGET_WORDSIZE" = "32" ]; then
+	make_check=no
+fi
+
 post_build() {
 	# generate udev file
 	cd tools
@@ -39,7 +44,9 @@ post_install() {
 
 	vlicense LICENSE # License clarification
 	vlicense COPYING # GPL-2.0
-	sed -n "1,43 p" "${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
+	sed -n \
+		-e "/\/* sane - Scanner Access Now Easy./,/dynamic linking to load backends on demand./p" \
+		"${wrksrc}/backend/dll.c" > "${DESTDIR}/usr/share/licenses/sane/SANE-EXCEPTION"
 }
 
 libsane_package() {

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [PR PATCH] [Merged]: sane: update to 1.0.32.
  2021-10-04 21:46 [PR PATCH] sane: update to 1.0.32 Piraty
  2021-10-04 21:58 ` [PR PATCH] [Updated] " Piraty
  2021-10-05 19:22 ` Piraty
@ 2021-10-12 19:23 ` ericonr
  2 siblings, 0 replies; 4+ messages in thread
From: ericonr @ 2021-10-12 19:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 533 bytes --]

There's a merged pull request on the void-packages repository

sane: update to 1.0.32.
https://github.com/void-linux/void-packages/pull/33328

Description:
#### Have the results of the proposed changes been tested?
- [x] I use the packages affected by the proposed changes on a regular basis and confirm this PR works for me
- [ ] I generally don't use the affected packages but briefly tested this PR

I scaned using this version of sane, and this (https://github.com/void-linux/void-packages/pull/33325) version of simple-scan

^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-10-12 19:23 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-04 21:46 [PR PATCH] sane: update to 1.0.32 Piraty
2021-10-04 21:58 ` [PR PATCH] [Updated] " Piraty
2021-10-05 19:22 ` Piraty
2021-10-12 19:23 ` [PR PATCH] [Merged]: " ericonr

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git